#
# spec file for package perl-Curses (Version 1.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Curses
Version:        1.12
Release:        13.2
Provides:       perl_cur Curses
Obsoletes:      perl_cur
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Other License(s), see package, Artistic License
URL:            http://cpan.org/modules/by-module/Curses/
Summary:        A Dynamic Loadable Curses Module for Perl5
Source:         Curses-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a dynamic loadable curses module for Perl5.  This package can
be found at any CPAN archive.



Authors:
--------
    William Setzer <William_Setzer@ncsu.edu>

%debug_package
%prep
%setup -n Curses-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Artistic Copying README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/Curses.pm
%{perl_vendorarch}/auto/Curses
/var/adm/perl-modules/%{name}

%changelog -n perl-Curses
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 01 2005 - cthiel@suse.de
- update to version 1.12
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Fri Aug 09 2002 - mls@suse.de
- use sv_isa instead of Perl_sv_isa for threaded perl
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Fri Aug 03 2001 - rvasice@suse.cz
- update to version 1.06
- spec file cleanup
* Tue Nov 14 2000 - cihlar@suse.cz
- clean up spec file
* Thu Nov 02 2000 - grimmer@suse.de
- renamed from perl_cur to perl-Curses
- spec file cleanups
* Tue Aug 22 2000 - cihlar@suse.cz
- update to version 1.05
- added BuildRoot
- bzipped sources
* Thu Jan 20 2000 - ro@suse.de
- use macro for mandir
* Mon Nov 08 1999 - choeger@suse.de
- first version
